#!C:\Python24\python.exe
# -*- coding: UTF-8 -*-

'''
$RCSfile: details.py,v $
$Revision: 561 $
$Author: markus $
$Date: 2006-03-06 14:51:19 +0100 (Mon, 06 Mar 2006) $
The BioCASE querytool
'''

import os, sys
# ***** include the biocase.lib directory in the python sys path for importing *****
execfile( os.path.abspath( os.path.join( os.path.dirname( __file__ ), os.pardir, os.pardir, 'lib', 'biocase', 'adjustpath.py' ) ))

from biocase.querytool.general import *
from biocase.querytool.querydispatcher import QueryDispatcher
from biocase.querytool.querygenerator import QueryGenerator



############################################################################################################
#
#   MAIN
#
#===========================================================================================================

# get the schema object being used
schemaObj = prefs.schemas[schema]

debug + "ORIGINAL FILTER STRING: %s"%unicode(form['filter'].value, errors='replace')
filterObj = createFilterObjFromString(form['filter'].value, schemaObj)
debug + "FILTER OBJ: %s"%unicode(str(filterObj), errors='replace')

# generate the protocol
QG = QueryGenerator(protocol)
protocolXML = QG.getSearchProtocol(NS=schemaObj.NS, respNS=schemaObj.NS, count=False, filterObj=filterObj, destination=wrapper_url)
debug + "QUERY PROTOCOL CREATED:\n%s"%protocolXML

# query the wrapper
QD = QueryDispatcher(protocolNS=protocol, debug=debug)
recStatus = QD.sendQuery(wrapper_url, protocolXML, security_role=security_role)

content = QD.getContent()
diagnostics = [d[2] for d in QD.getDiagnostics()]

if content is None:
    # no wrapper results found
    debug + "ERROR: NO PROTOCOL CONTENT FOUND"
    print 'Content-Type: text/plain; charset=utf-8\n\n'
    print '-----------------------------'
    print 'There was no wrapper result !'
    print '-----------------------------'
    print '\n\nDebug data:'
    print '-----------'
    debug.escapeHtml = False
    print str(debug)
else:
    debug + "CONTENT ROOT %s"%content.name
    # apply stylesheet
    print 'Content-Type: text/xml; charset=utf-8\n'
    #print "<debug>%s</debug>"%str(debug)
    print content.serialize()


